package com.lantone.qc.trans.comsis;

import com.google.common.collect.Maps;
import com.google.common.collect.Sets;
import org.apache.commons.collections.MapUtils;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Description: 页面模板映射工具类
 * @author: rengb
 * @time: 2020/4/30 10:03
 */
public class ModuleMappingUtil {

    public static Map<Set<String>, String> xmlDataTypeModuleInfo = Maps.newLinkedHashMap();

    public static String getXmlDataTypeModuleId(Map<String, String> sourceMap) {
        if (MapUtils.isEmpty(sourceMap)) {
            return null;
        }
        Set<String> set = sourceMap.keySet();
        List list = new ArrayList(set);
        list.sort(new Comparator<String>() {
            @Override
            public int compare(String arg0, String arg1) {
                return arg0.compareTo(arg1);//这是顺序
            }
        });
        set = Sets.newLinkedHashSet(list);
        //                if (set.size() == 335) {
        //                    System.out.println(" ");
        //                    for (Map.Entry<Set<String>, String> entry : xmlDataTypeModuleInfo.entrySet()) {
        //                        System.out.println(StringUtils.join(entry.getKey(), ","));
        //                    }
        //                    System.out.println(StringUtils.join(set, ","));
        //                }
        return xmlDataTypeModuleInfo.get(set);
    }

}